darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.Commands.Record

Synopsis

- record :: DarcsCommand RecordConfig
- commit :: DarcsCommand RecordConfig
- recordConfig :: [DarcsFlag] -> RecordConfig
- data RecordConfig = RecordConfig {
  - patchname :: Maybe String
  - author :: Maybe String
  - testChanges :: TestChanges
  - interactive :: Maybe Bool
  - pipe :: Bool
  - askDeps :: Bool
  - askLongComment :: Maybe AskLongComment
  - lookfor :: LookFor
  - _workingRepoDir :: Maybe String
  - withContext :: WithContext
  - diffAlgorithm :: DiffAlgorithm
  - verbosity :: Verbosity
  - logfile :: Logfile
  - compress :: Compression
  - useIndex :: UseIndex
  - umask :: UMask
  - sse :: SetScriptsExecutable
  - includeBoring :: IncludeBoring
  - useCache :: UseCache
  }

# Documentation

record :: DarcsCommand RecordConfig #

commit :: DarcsCommand RecordConfig #

commit is an alias for record

recordConfig :: [DarcsFlag] -> RecordConfig #

data RecordConfig #

Constructors

RecordConfig |
Fields patchname :: Maybe String author :: Maybe String testChanges :: TestChanges interactive :: Maybe Bool pipe :: Bool askDeps :: Bool askLongComment :: Maybe AskLongComment lookfor :: LookFor _workingRepoDir :: Maybe String withContext :: WithContext diffAlgorithm :: DiffAlgorithm verbosity :: Verbosity logfile :: Logfile compress :: Compression useIndex :: UseIndex umask :: UMask sse :: SetScriptsExecutable includeBoring :: IncludeBoring useCache :: UseCache